Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class MessageAck

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.MessageAck

All Implemented Interfaces:
  Packet

public class MessageAck
extends AbstractPacket

Denotes an object that can be serialized/deserailized using a PacketReader/PacketWriter

Field Summary

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`MessageAck()`

Method Summary
`java.lang.String` | `getConsumerId()`
`java.lang.String` | `getMessageID()`
`MessageIdentity` | `getMessageIdentity()`
`int` | `getPacketType()` Return the type of Packet
`java.lang.String` | `getTransactionId()`
`boolean` | `isMessageRead()`
`boolean` | `isPartOfTransaction()`
`boolean` | `isXaTransacted()`
`void` | `setConsumerId(java.lang.String consumerId)`
`void` | `setMessageID(java.lang.String messageID)`
`void` | `setMessageRead(boolean messageRead)`
`void` | `setTransactionId(java.lang.String newTransactionId)`
`void` | `setXaTransacted(boolean xaTransacted)`
`java.lang.String` | `toString()`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`decrementMemoryReferenceCount, equals, equals, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hashCode, incrementMemoryReferenceCount, isJMSMessage, isReceipt, isReceiptRequired, setId, setMemoryUsage, setReceiptRequired`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageAck

    public MessageAck()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractPacket`
  Returns:
    pretty print of this Packet

### getTransactionId

    public java.lang.String getTransactionId()

  Returns:
    Returns the transactionId.

### setTransactionId

    public void setTransactionId(java.lang.String newTransactionId)

  Parameters:
    `newTransactionId` - The transactionId to set.

### isPartOfTransaction

    public boolean isPartOfTransaction()

  Returns:
    Returns true if this message is part of a transaction

### getMessageID

    public java.lang.String getMessageID()

  Returns:
    Returns the messageID.

### setMessageID

    public void setMessageID(java.lang.String messageID)

  Parameters:
    `messageID` - The messageID to set.

### isMessageRead

    public boolean isMessageRead()

  Returns:
    Returns the messageRead.

### setMessageRead

    public void setMessageRead(boolean messageRead)

  Parameters:
    `messageRead` - The messageRead to set.

### getConsumerId

    public java.lang.String getConsumerId()

  Returns:
    Returns the consumerId.

### setConsumerId

    public void setConsumerId(java.lang.String consumerId)

  Parameters:
    `consumerId` - The consumerId to set.

### isXaTransacted

    public boolean isXaTransacted()

  Returns:
    Returns the xaTransacted.

### setXaTransacted

    public void setXaTransacted(boolean xaTransacted)

  Parameters:
    `xaTransacted` - The xaTransacted to set.

### getMessageIdentity

    public MessageIdentity getMessageIdentity()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.